Bug 387362 - UI does not show the total number of lines in a file anymore
Summary: UI does not show the total number of lines in a file anymore
Status: RESOLVED FIXED
Alias: None
Product: frameworks-ktexteditor
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: KWrite Developers
URL: https://phabricator.kde.org/D13442
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2017-11-27 17:11 UTC by nfxjfg
Modified: 2018-06-20 18:42 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nfxjfg 2017-11-27 17:11:39 UTC
This was changed a longer time ago. It used to show "Line XXX of XXX" in the bar below the editor. Now it only shows "Line XXX, Column X". It would be nice it it'd show the total number of lines again.
Comment 1 Nate Graham 2017-11-28 03:32:51 UTC
Can't please everyone! :p Personally I'd rather see the current column position than the total number of lines, but maybe there's a way to get both in there without making it look too crowded.
Comment 2 nfxjfg 2017-11-28 10:44:46 UTC
The column position is useful too and should be shown. Though if you remove the words "Line" and "Column", adding the total line number won't increase the horizontal space usage.

But even so, there's plenty of unused horizontal space right of the line number display, at least in my configuration.
Comment 3 Christoph Cullmann 2017-12-20 19:16:17 UTC
I agree this is a valid wish.

Thought that there is a lot of space depends if you e.g. have either a small screen (unlikely) or some splitters (likely).

The part provides that bar, therefore this goes to ktexteditor.

What I would like most is to have a context menu that allows to just configure that.

Patches welcome on phabricator.kde.org
Comment 4 Christoph Cullmann 2018-06-20 18:42:50 UTC
Git commit 3f0638e717a990c81fbc248298cc62709e8af851 by Christoph Cullmann, on behalf of Shubham Jangra.
Committed on 20/06/2018 at 18:40.
Pushed by cullmann into branch 'master'.

Implemented displaying of total lines in kate

GUI: new option to display total lines in the status bar

M  +3    -0    src/dialogs/katedialogs.cpp
M  +10   -0    src/dialogs/textareaappearanceconfigwidget.ui
M  +25   -0    src/utils/kateconfig.cpp
M  +5    -0    src/utils/kateconfig.h

https://commits.kde.org/ktexteditor/3f0638e717a990c81fbc248298cc62709e8af851